org.apache.ignite.internal.jdbc2

## Class JdbcUtils

- java.lang.Object
- - org.apache.ignite.internal.jdbc2.JdbcUtils

    public class JdbcUtils
    extends Object

Utility methods for JDBC driver.

### Constructor Summary

Constructors
Constructor and Description
`JdbcUtils()`

### Method Summary

Methods
`static boolean` `nullable(String name, String cls)` Determines whether type is nullable.
`static int` `type(String cls)` Converts Java class name to type from `Types`.
`static String` `typeName(String cls)` Converts Java class name to SQL type name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcUtils

    public JdbcUtils()

### Method Detail

#### type

    public static int type(String cls)

Converts Java class name to type from `Types`.

Parameters:
  `cls` - Java class name.
Returns:
  Type from `Types`.

#### typeName

    public static String typeName(String cls)

Converts Java class name to SQL type name.

Parameters:
  `cls` - Java class name.
Returns:
  SQL type name.

#### nullable

    public static boolean nullable(String name,
                   String cls)

Determines whether type is nullable.

Parameters:
  `name` - Column name.
  `cls` - Java class name.
Returns:
  `True` if nullable.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017